#define DEFAULT_PORT 4130
#define DEFAULT_INTERVAL 500

#include <nuclient.h>

#if (NU_API_VERSION == 2)
    #define API_V2
#endif

#include <panel-applet.h>
#include <panel-applet-gconf.h>

typedef struct NuApplet_ {
	PanelApplet *applet;
	GtkWidget * event_box;
	GtkWidget * image;
	GtkWidget * settings;
	GtkWidget * password_dialog;
	GtkIconSize panel_size;
	GtkTooltips * tooltip;
	guint timer;
	guint interval;
	guint timeout;
	guint timevalue;
	gboolean auth_on;
	gboolean starting;
	gboolean log_at_start;
	char *username;
	char * password;
	char * host;  
	unsigned int port;  
	NuAuth * session;
} NuApplet;

NuApplet *nuapplet;

/* max interval between reconnect try */
#define RETRY_TIME_MAX 32000

gboolean on_settings_apply (GtkWidget      *event_box, 
		GdkEventButton *event,
		gpointer        data);


gboolean on_modif_do (GtkWidget      *event_box, 
		GdkEventButton *event,
		gpointer        data);


gboolean on_password_start (GtkWidget      *event_box, 
		GdkEventButton *event,
		gpointer        data) ;


gboolean on_password_cancel (GtkWidget      *event_box, 
		GdkEventButton *event,
		gpointer        data) ;
